﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Windows.Forms.Chart;

namespace Chart2PDF
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                Stopwatch sw = new Stopwatch();
                Stopwatch sw2 = new Stopwatch();
                string fileName = "c:\\tmp\\";
                if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
                    fileName = folderBrowserDialog1.SelectedPath;

                sw.Start();
                string exportFileName = fileName + "\\Chart2PDF.pdf";
                chartControl1.PrimaryXAxis.Range.Min = 0;
                chartControl1.PrimaryXAxis.Range.Max = 1601;
                chartControl1.PrimaryYAxis.Range.Min = 0;
                chartControl1.PrimaryYAxis.Range.Max = 100;

                PdfDocument pdfDoc = new PdfDocument();
                string file = "";
                for (int i = 0; i < 100; i++)
                {
                    //if (i == 0)
                    //{
                        chartControl1.Title.Text = "Chart2PDF #" + i.ToString();
                        file = fileName + "\\Chart2PDF" + i.ToString() + ".emf";
                        chartControl1.Series.Clear();
                        Random ran = new Random(DateTime.Now.Second);
                        for (int point = 0; point < 1601; point++)
                        {
                            chartControl1.Series[0].Points.Add(point, ((double)(ran.Next(0, 100))));
                        }
                        chartControl1.SaveImage(file);
                    //}
                    pdfDoc.Pages.Add();
                    pdfDoc.Pages[i].Graphics.DrawImage(PdfImage.FromFile(file), 0, 0, 400 , 600);
                }
                sw2.Start();
                pdfDoc.Save(exportFileName);
                sw2.Stop();
                sw.Stop();
                label1.Text = "Save=" + sw2.ElapsedMilliseconds + "mS - Total=" + sw.ElapsedMilliseconds + "mS";
                System.Diagnostics.Process.Start(exportFileName);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error: " + ex.ToString());

            }
        }
    }
}
